
Name:		lighttpd
Version:	1.4.44
Release:	%mkrel 1
Summary:	A fast webserver with minimal memory-footprint
Source0:	http://lighttpd.net/download/%{name}-%{version}.tar.xz
Source1:	lighttpd.init
Source3:	lighttpd.conf
License:	BSD
Group:		System/Servers
URL:		http://lighttpd.net/
#----------BR--------------------
BuildRequires: %{_lib}attr1-devel
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}gamin-1_0-devel
BuildRequires: %{_lib}gdbm-devel
BuildRequires: %{_lib}ldap2.4_2-devel
BuildRequires: %{_lib}lua5.1-devel
BuildRequires: %{_lib}memcache-devel
BuildRequires: %{_lib}mysql-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}pcre0-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}uuid-devel
BuildRequires: %{_lib}xml2-devel
#-------------------------------
Requires(post):	rpm-helper
Requires(preun):rpm-helper
Obsoletes:	%name-modules
Provides:	%name-modules
Provides:	webserver
BuildRoot:	%{_tmppath}/%{name}-root
Obsoletes:  	%name < %version
Requires:	apache-conf
Obsoletes: lighttpd-mod_auth
Obsoletes: lighttpd-mod_cml 
Obsoletes: lighttpd-mod_compress 
Obsoletes: lighttpd-mod_magnet 
Obsoletes: lighttpd-mod_mysql_vhost 
Obsoletes: lighttpd-mod_trigger_b4_dl 
Obsoletes: lighttpd-mod_webdav

%description
Security, speed, compliance, and flexibility--all of these describe LightTPD
which is rapidly redefining efficiency of a webserver; as it is designed and
optimized for high performance environments. With a small memory
footprint compared to other web-servers, effective management of the
cpu-load, and advanced feature set (FastCGI, CGI, Auth,
Output-Compression, URL-Rewriting and many more) LightTPD is the
perfect solution for every server that is suffering load problems.

This packages contains the server and base modules :
%(for mod in $(echo %base_modules | tr ',' '\n'); do echo ${mod%%.so}; done)

%prep
%setup -q

%build
%configure2_5x --libdir=%{_libdir}/%{name}/ \
  --with-mysql\
  --with-ldap\
  --with-attr\
  --with-openssl\
  --with-pcre\
  --with-bzip2\
  --with-fam\
  --with-webdav-props\
  --with-gdbm\
  --with-memcache\
  --with-lua

%make

%install
rm -rf %buildroot
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/{init.d,sysconfig}
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/init.d/lighttpd
install -m 644 doc/initscripts/sysconfig.lighttpd %{buildroot}%{_sysconfdir}/sysconfig/lighttpd

mkdir -p %{buildroot}%{_sysconfdir}/lighttpd
install -m 644 %SOURCE3 %{buildroot}%{_sysconfdir}/lighttpd
install -m 644 doc/config/modules.conf %{buildroot}%{_sysconfdir}/lighttpd

mkdir -p %{buildroot}%{_sysconfdir}/lighttpd/conf.d
cp doc/config/conf.d/*.conf %{buildroot}%{_sysconfdir}/lighttpd/conf.d

mkdir -p %{buildroot}%{_logdir}/lighttpd
mkdir -p %{buildroot}%{_var}/www/html

mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cat > %{buildroot}%{_sysconfdir}/logrotate.d/%{name} <<EOF
%{_logdir}/%{name}/*.log {
    size=20M
    rotate 5
    weekly
    missingok
    notifempty
    postrotate
        service %{name} reload
    endscript
}
EOF

rm -f %{buildroot}%{_libdir}/%{name}/*.la

mkdir -p %buildroot%{_var}/www/html

%clean
rm -rf %buildroot

%post
if [ $1 -gt 1 ]; then
	if grep '^server.username = "apache"' %{_sysconfdir}/lighttpd/lighttpd.conf >/dev/null; then
		if [ `stat -c %U /var/log/lighttpd/` != "apache" ]; then
			chown -R apache /var/log/lighttpd/
		fi
	fi
fi

%_post_service lighttpd

%preun
%_preun_service lighttpd

%files
%defattr(-,root,root)
%doc doc/config/lighttpd.conf README INSTALL NEWS COPYING AUTHORS
%attr(0755,root,root) %{_sysconfdir}/init.d/lighttpd
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/lighttpd
%dir %{_sysconfdir}/lighttpd/
%config(noreplace) %{_sysconfdir}/lighttpd/*
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(0755,apache,apache) %{_logdir}/lighttpd
%{_mandir}/*/*
%{_sbindir}/*
%attr(0755,apache,apache) %dir %{_var}/www
%attr(0755,root,root) %dir %{_var}/www/html
%{_libdir}/%{name}/mod_*.so

%changelog
* Mon Feb 13 2017 adrianomorselli <adrianomorselli> 1.4.44-1uplos2017
- rebuild

* Sat Dec 31 2016 bb <bb> - 1.4.44-1pclos2017
- new version


